//
// Copyright (C) 2001 Simon Greenwold. You are allowed to use or modify the code, but this note must be kept intact.
// 
#if !defined(AFX_AGENTSHAPESIZEDIALOG_H__5CA1E39C_667E_11D4_9FB1_0000E87A7A07__INCLUDED_)
#define AFX_AGENTSHAPESIZEDIALOG_H__5CA1E39C_667E_11D4_9FB1_0000E87A7A07__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AgentShapeSizeDialog.h : header file
//

#include <string>

using namespace std;

/////////////////////////////////////////////////////////////////////////////
// AgentShapeSizeDialog dialog

class AgentShapeSizeDialog : public CDialog
{
// Construction
public:
	AgentShapeSizeDialog(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(AgentShapeSizeDialog)
	enum { IDD = IDD_AGENT_SHAPE_SIZE_DIALOG };
	BOOL	m_copyAcross;
	int		m_xmax;
	int		m_xmin;
	int		m_xweight;
	int		m_ymax;
	int		m_ymin;
	int		m_yweight;
	int		m_zmax;
	int		m_zmin;
	int		m_zweight;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(AgentShapeSizeDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
public:
	bool getCopyAcross() {return m_copyAcross;};
	int  getXMin() {return m_xmin;};
	int  getXMax() {return m_xmax;};
	int  getYMin() {return m_ymin;};
	int  getYMax() {return m_ymax;};
	int  getZMin() {return m_zmin;};
	int  getZMax() {return m_zmax;};
	int  getXWeight() {return m_xweight;};
	int  getYWeight() {return m_yweight;};
	int  getZWeight() {return m_zweight;};

	void setXMin(int xMin) {m_xmin = xMin;};
	void setXMax(int xMax) {m_xmax = xMax;};
	void setYMin(int yMin) {m_ymin = yMin;};
	void setYMax(int yMax) {m_ymax = yMax;};
	void setZMin(int zMin) {m_zmin = zMin;};
	void setZMax(int zMax) {m_zmax = zMax;};
	void setXWeight(int xWeight) {m_xweight = xWeight;};
	void setYWeight(int yWeight) {m_yweight = yWeight;};
	void setZWeight(int zWeight) {m_zweight = zWeight;};
	void setZoneName(const string& zoneName) {_zoneName = zoneName;};

protected:
	string _zoneName;

	// Generated message map functions
	//{{AFX_MSG(AgentShapeSizeDialog)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_AGENTSHAPESIZEDIALOG_H__5CA1E39C_667E_11D4_9FB1_0000E87A7A07__INCLUDED_)
