//
// Copyright (C) 2001 Simon Greenwold. You are allowed to use or modify the code, but this note must be kept intact.
// 
// AnalysisTotalNumShapes.cpp: implementation of the AnalysisTotalNumShapes class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include <maya/MGlobal.h>
#include "MFCPlugin.h"
#include "AnalysisTotalNumShapes.h"
#include "Design.h"
#include "AgentControl.h"
#include "Shape.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

AnalysisTotalNumShapes::AnalysisTotalNumShapes()
{

}

AnalysisTotalNumShapes::~AnalysisTotalNumShapes()
{

}

int AnalysisTotalNumShapes::getTotalNumberOfShapes()
{
	Design*	theDesign = AgentControl::getCurrentDesign();
	Phenotype*	thePhenome = &(theDesign->getPhenome());
	Shape*		currentShape;

	int total = 0;

	for (list<Shape*>::iterator i = thePhenome->getShapes().begin(); i != thePhenome->getShapes().end(); i++)
		total++;
	return total;
}
