//
// Copyright (C) 2001 Simon Greenwold. You are allowed to use or modify the code, but this note must be kept intact.
// 
// MEL-related utilities
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MELUTILITIES__HINCLUDED_)
#define AFX_MELUTILITIES__HINCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000#include <maya/MGlobal.h>

#include <maya/MGlobal.h>
#include <string>
#include <vector>

using namespace std;

void eval(string command);

void setMELvalue(string name, int value);
void setMELvalue(string name, const vector<int> &value);
void setMELvalue(string name, double value);
void setMELvalue(string name, const vector<double> &value);
void setMELvalue(string name, string value);
void setMELvalue(string name, const vector<string> &value);

void getMELvalue(string name, int &value);
void getMELvalue(string name, vector<int> &value);
void getMELvalue(string name, double &value);
void getMELvalue(string name, vector<double> &value);
void getMELvalue(string name, string &value);
void getMELvalue(string name, vector<string> &value);

int				getMELint(string name);
vector<int>&	getMELintVector(string name);
double			getMELdouble(string name);
vector<double>&	getMELdoubleVector(string name);
string 			getMELstring(string name);
vector<string>& getMELstringVector(string name);

#endif