//
// Copyright (C) 2001 Simon Greenwold. You are allowed to use or modify the code, but this note must be kept intact.
// 
#if !defined(AFX_MISCELLANEOUS_H__83009967_FD0D_11D4_AE41_00C04FA36E77__INCLUDED_)
#define AFX_MISCELLANEOUS_H__83009967_FD0D_11D4_AE41_00C04FA36E77__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <string>
#include <vector>
#include <iostream>

using namespace std;

// Miscellaneous.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// Miscellaneous dialog

class Miscellaneous : public CPropertyPage
{
	DECLARE_DYNCREATE(Miscellaneous)

// Construction
public:
	Miscellaneous();
	~Miscellaneous();

// Dialog Data
	//{{AFX_DATA(Miscellaneous)
	enum { IDD = IDD_MISCELLANEOUS };
	int		m_size;
	int		m_zoom;
	int		m_azimuth;
	int		m_elevation;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(Miscellaneous)
	public:
	virtual BOOL OnKillActive();
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	int _zoom;

	int _azimuth;
	int _elevation;
	
	int _dir;
	int _zpos;
	int _zsize;
	int _ypos;
	int _ysize;
	int _xpos;
	int _xsize;
	
	void deletePlane();
	void drawPlane();
	// Generated message map functions
	//{{AFX_MSG(Miscellaneous)
	afx_msg void OnDeltaposPosition(NMHDR* pNMHDR, LRESULT* pResult);
	virtual BOOL OnInitDialog();
	afx_msg void OnX();
	afx_msg void OnY();
	afx_msg void OnZ();
	afx_msg void OnCustomdrawPlaneSide(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnCustomdrawZoom(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnCustomdrawAzimuth(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnCustomdrawElevation(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnRestore();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MISCELLANEOUS_H__83009967_FD0D_11D4_AE41_00C04FA36E77__INCLUDED_)
