//
// Copyright (C) 2001 Simon Greenwold. You are allowed to use or modify the code, but this note must be kept intact.
// 
// Settable.h: interface for the Settable class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SETTABLE_H__5CA1E394_667E_11D4_9FB1_0000E87A7A07__INCLUDED_)
#define AFX_SETTABLE_H__5CA1E394_667E_11D4_9FB1_0000E87A7A07__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <list>

using namespace std;

class Settable
{
public:
	Settable();
	virtual ~Settable();

	static list<Settable*>* getSettables() {return &_settables;};

protected:
//	virtual void addSettings() {};
//	virtual void removeSettings() {};

	virtual void reportSettings() {};
	virtual void receiveSettings() {};

private:
	static list<Settable*> _settables;

	friend class Settings;
};

#endif // !defined(AFX_SETTABLE_H__5CA1E394_667E_11D4_9FB1_0000E87A7A07__INCLUDED_)
