//
// Copyright (C) 2001 Simon Greenwold. You are allowed to use or modify the code, but this note must be kept intact.
// 
// AgentOverallDesignHeightDialog.cpp : implementation file
//

#include "stdafx.h"
#include "MFCPlugin.h"
#include "AgentOverallDesignHeightDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// AgentOverallDesignHeightDialog dialog


AgentOverallDesignHeightDialog::AgentOverallDesignHeightDialog(CWnd* pParent /*=NULL*/)
	: CDialog(AgentOverallDesignHeightDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(AgentOverallDesignHeightDialog)
	m_desiredHeight = 0.0;
	//}}AFX_DATA_INIT
}


void AgentOverallDesignHeightDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(AgentOverallDesignHeightDialog)
	DDX_Text(pDX, IDC_OVERALL_HEIGHT, m_desiredHeight);
	DDV_MinMaxDouble(pDX, m_desiredHeight, 0., 1000.);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(AgentOverallDesignHeightDialog, CDialog)
	//{{AFX_MSG_MAP(AgentOverallDesignHeightDialog)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// AgentOverallDesignHeightDialog message handlers

BOOL AgentOverallDesignHeightDialog::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
