//
// Copyright (C) 2001 Simon Greenwold. You are allowed to use or modify the code, but this note must be kept intact.
// 
#if !defined(AFX_AGENTPROPERTIES_H__15E36D90_5D83_11D4_9FA4_0000E87A7A07__INCLUDED_)
#define AFX_AGENTPROPERTIES_H__15E36D90_5D83_11D4_9FA4_0000E87A7A07__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AgentProperties.h : header file
//

#include "AgentControl.h"
#include <string>

using namespace std;

class GeneticEngine;

/////////////////////////////////////////////////////////////////////////////
// AgentProperties dialog

class AgentProperties : public CPropertyPage
{
// Construction
public:
	AgentProperties();   // standard constructor

// Dialog Data
	//{{AFX_DATA(AgentProperties)
	enum { IDD = IDD_AGENT_CONTROL };
	int		m_num_deployed;
	int		m_weight;
	//}}AFX_DATA
	int		currentZone;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(AgentProperties)
	public:
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
public:
	void setEngine(GeneticEngine* newEngine);

protected:

	// Generated message map functions
	//{{AFX_MSG(AgentProperties)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelendokAgentZoneType();
	afx_msg void OnSelchangeAgentTypeList();
	afx_msg void OnKillfocusWeight();
	afx_msg void OnKillfocusNumberDeployed();
	afx_msg void OnEditAgent();
	afx_msg void OnCopySettingsAcrossZoneTypes();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void fillAgentTypeList(int zoneType);

	GeneticEngine*	theEngine;
	list<AgentType*> typeSettingList;
	string _impression;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_AGENTPROPERTIES_H__15E36D90_5D83_11D4_9FA4_0000E87A7A07__INCLUDED_)
