//
// Copyright (C) 2001 Simon Greenwold. You are allowed to use or modify the code, but this note must be kept intact.
// 
// AnalysisShapeSize.h: interface for the AnalysisShapeSize class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ANALYSISSHAPESIZE_H__5CA1E39B_667E_11D4_9FB1_0000E87A7A07__INCLUDED_)
#define AFX_ANALYSISSHAPESIZE_H__5CA1E39B_667E_11D4_9FB1_0000E87A7A07__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Analysis.h"

class AnalysisShapeSize : public Analysis  
{
public:
	AnalysisShapeSize();
	virtual ~AnalysisShapeSize();

	void getSize(bool& any, double& minX, double& minY, double& minZ,
							  double& maxX, double& maxY, double& maxZ,
							  int zoneType = -1);

};

#endif // !defined(AFX_ANALYSISSHAPESIZE_H__5CA1E39B_667E_11D4_9FB1_0000E87A7A07__INCLUDED_)
