//
// Copyright (C) 2001 Simon Greenwold. You are allowed to use or modify the code, but this note must be kept intact.
// 
#include "stdafx.h"
#include "MFCPlugin.h"
#include <iostream>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

void sliderChanged(CWnd* dialog, int sliderID, int editID, int& sliderVar, int& editVar) {

	CEdit* editBox = (CEdit*)(dialog->GetDlgItem(editID));
	CSliderCtrl* slider = (CSliderCtrl*)(dialog->GetDlgItem(sliderID));

	if (editBox == NULL) return;
	if (slider == NULL) return;

	char buffer[20];

	sliderVar = slider->GetPos();
	editVar = sliderVar;
	itoa(sliderVar, buffer, 10);
	editBox->SetWindowText(buffer);
}

void editChanged(CWnd* dialog, int sliderID, int editID, int& sliderVar, int& editVar, int min, int max) {

	CEdit* editBox = (CEdit*)(dialog->GetDlgItem(editID));
	CSliderCtrl* slider = (CSliderCtrl*)(dialog->GetDlgItem(sliderID));

	if (editBox == NULL) return;
	if (slider == NULL) return;

	int tempVal = -1;
	char buffer[20];

	editBox->GetWindowText(buffer, 19);
	tempVal = atoi(buffer);
	if (tempVal >= min && tempVal <= max) {
		slider->SetPos(tempVal);
		editVar = tempVal;
		sliderVar = tempVal;
	}
}