//
// Copyright (C) 2001 Simon Greenwold. You are allowed to use or modify the code, but this note must be kept intact.
// 
// EmergentShape.h: interface for the EmergentShape class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EMERGENTSHAPE_H__B350BB9F_E931_11D3_9F59_0000E87A7A07__INCLUDED_)
#define AFX_EMERGENTSHAPE_H__B350BB9F_E931_11D3_9F59_0000E87A7A07__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Shape.h"

class EmergentShape : public Shape  
{
public:
	EmergentShape();
	EmergentShape(const Shape& oldShape);
	virtual ~EmergentShape();

	virtual bool initializeInterpret() {return false;};
	virtual Shape* fullDuplicate();

private:
	list<Shape*> parents;

};

#endif // !defined(AFX_EMERGENTSHAPE_H__B350BB9F_E931_11D3_9F59_0000E87A7A07__INCLUDED_)
