//
// Copyright (C) 2001 Simon Greenwold. You are allowed to use or modify the code, but this note must be kept intact.
// 
// Layer.cpp: implementation of the Layer class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "MFCPlugin.h"
#include "Layer.h"
#include <iostream>

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

Layer* Layer::layer;

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Layer::Layer()
{
	_layerNames.clear();
	_BoundToZoneType.clear();
	layer = this;
}

Layer::~Layer()
{

}

bool	Layer::layerExists(const string& layer)
{
	for(int i=0; i < numberOfLayers(); i++)	{
		if(layer==_layerNames[i])
			return true;
	}
	return false;
}

void Layer::addLayer(string layer)
{
	if(!layerExists(layer))	{
		_layerNames.push_back(layer);
		_BoundToZoneType.push_back(false);
	}
}

void Layer::bindLayerToZoneType(const string& layer)
{
}